Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Metric Operations
GetMetricLabelValue
GetMetricLabelValue
GET/zstack/v1/zwatch/metrics/label-values
Operation ID
GetMetricLabelValue
Since
2.3
Execution Mode
Synchronous
Auth Context
Auth Required
Auth Context
Send these values as request headers when calling this API.
AuthorizationstringRequired
Bearer Token
X-Tenant-IDstring
X-Tenant-ID
Request Inputs
Query Parameters
namespace
StringRequired
The namespace.
metricName
StringRequired
The metric name.
labelNames
ListRequired
The name list of the target labels.
filterLabels
List
Optional. The label filter list. For example, you can set the HostUuid label to e47f7145f4cd4fca8e2856038ecdf3e1 to filter values specified in labelNames.
startTime
Long
Optional. The start time.
Responses
200 OK
200 OK
On success, this API returns the following response structure.
labels
ListRequired
The label values.
error
ErrorCodeRequired
The error code. If not null, the operation fails, or vice versa. For more information, see error.
code
StringRequired
The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
description
StringRequired
The brief description of the error.
details
StringRequired
The details about the error.
elaboration
StringRequired
The reserved field. Default value: null.
opaque
LinkedHashMapRequired
The reserved field. Default value: null.
cause
ErrorCodeRequired
The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.